Index: cdr_addon_mysql.c
===================================================================
--- cdr_addon_mysql.c	(revision 506)
+++ cdr_addon_mysql.c	(working copy)
@@ -25,6 +25,11 @@
 
 #include <asterisk.h>
 
+#include <asterisk/buildopts.h>
+#ifdef MALLOC_DEBUG
+#include <asterisk/astmm.h>
+#endif
+
 #include <sys/types.h>
 #include <asterisk/config.h>
 #include <asterisk/options.h>
Index: Makefile.rules
===================================================================
--- Makefile.rules	(revision 506)
+++ Makefile.rules	(working copy)
@@ -28,14 +28,17 @@
 endif
 
 ifeq ($(findstring DONT_OPTIMIZE,$(MENUSELECT_CFLAGS)),)
-# More GSM codec optimization
-# Uncomment to enable MMXTM optimizations for x86 architecture CPU's
-# which support MMX instructions.  This should be newer pentiums,
-# ppro's, etc, as well as the AMD K6 and K7.  
-#K6OPT=-DK6OPT
+    # More GSM codec optimization
+    # Uncomment to enable MMXTM optimizations for x86 architecture CPU's
+    # which support MMX instructions.  This should be newer pentiums,
+    # ppro's, etc, as well as the AMD K6 and K7.  
+    #K6OPT=-DK6OPT
 
-OPTIMIZE?=-O6
-ASTCFLAGS+=$(OPTIMIZE)
+    OPTIMIZE?=-O6
+    ASTCFLAGS+=$(OPTIMIZE)
+else
+    OPTIMIZE?=-O0
+    ASTCFLAGS+=-g3 $(OPTIMIZE)
 endif
 
 %.o: %.c
Index: Makefile
===================================================================
--- Makefile	(revision 506)
+++ Makefile	(working copy)
@@ -24,11 +24,8 @@
 
 ASTCFLAGS+=-fPIC
 
-#NOISY_BUILD=yes
+NOISY_BUILD=yes
 
-ifeq ($(AST_DEVMODE),yes)
-  ASTCFLAGS+=-Werror -Wunused -Wundef $(AST_DECLARATION_AFTER_STATEMENT)
-endif
 
 # If the file .asteriskaddons.makeopts is present in your home directory, you can
 # include all of your favorite menuselect options so that every time you download
@@ -52,6 +49,10 @@
  endif
 endif
 
+ifeq ($(AST_DEVMODE),yes)
+  ASTCFLAGS+=-Werror -Wunused -Wundef $(AST_DECLARATION_AFTER_STATEMENT)
+endif
+
 ifeq ($(OSARCH),SunOS)
   ASTETCDIR=/var/etc/asterisk
   ASTLIBDIR=/opt/asterisk/lib
